
/**
 * This class is reads in the SAT data from a file and will have the ability to sort it by math, english, or total sat score
 * then print it out
 * 
 * @author Jeff Borland
 * @version 3-28-7
 */
import java.io.*;
import java.util.Scanner;
public class SATSortActivity
{    
	private Scanner scan; 
	StateSAT[] allSAT = new StateSAT[51];


	public SATSortActivity()
	{
		//initialize allSAT
		reset();
		int i=0;
		while (scan.hasNext())
		{
			String theLine=scan.nextLine();
			String[] theLineSplit=theLine.split(","); //This will split that line by , returning an array
			String state=theLineSplit[0];
			int mathScore=Integer.parseInt(theLineSplit[1]);
			int englishScore=Integer.parseInt(theLineSplit[2]);         
			allSAT[i]=new StateSAT(state, mathScore, englishScore);
			i++;
		}
	}
	//Method will sort the math sat scores
	public void sortMath()
	{

	}

	//Method will sort the english sat scores
	public void sortEnglish()
	{

	}

	//Method will sort the total sat scores
	public void sortSAT()
	{

	}

	//Method will sort the total sat scores
	public void sortState()
	{

	}    



	//Method will print out all of the arrays
	public void printAll()
	{
		System.out.println("***************************");
		for (int i=0; i<allSAT.length; i++)
			System.out.println(allSAT[i]); 
	}

	//method initializes and resets scanner
	private void reset()
	{
		//To reset your scanner:
		try
		{
			scan=new Scanner(new File("sats.csv"));
		}
		catch (IOException e){
			System.out.println("Cant find file");
		}
	}    

	public static void main (String[] args)
	{
		SATSortActivity s=new SATSortActivity();
		s.printAll();
	}


}
